PHPExcel_Calculation

# Class: PHPExcel_Calculation_LookupRef

Source Location: /PHPExcel/Calculation/LookupRef.php

### Class Overview

PHPExcel_Calculation_LookupRef

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

- CELL_ADDRESS
- CHOOSE
- COLUMN
- COLUMNS
- HYPERLINK
- INDEX
- INDIRECT
- LOOKUP
- MATCH
- OFFSET
- ROW
- ROWS
- TRANSPOSE
- VLOOKUP

### Class Details

[line 46]
PHPExcel_Calculation_LookupRef

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### static method CELL_ADDRESS [line 70]

`static string CELL_ADDRESS( row $row, column $column, [relativity $relativity = 1], [referenceStyle $referenceStyle = True], [sheetText $sheetText = ''])`

CELL_ADDRESS

Creates a cell address as text, given specified row and column numbers.

Excel Function: =ADDRESS(row, column, [relativity], [referenceStyle], [sheetText])

#### Tags:

access: | public

#### Parameters:

row | $row | Row number to use in the cell reference
column | $column | Column number to use in the cell reference

relativity

$relativity

Flag indicating the type of reference to return

1. or omitted Absolute
2. Absolute row; relative column
3. Relative row; absolute column
4. Relative

referenceStyle | $referenceStyle | A logical value that specifies the A1 or R1C1 reference style. TRUE or omitted CELL_ADDRESS returns an A1-style reference FALSE CELL_ADDRESS returns an R1C1-style reference
sheetText | $sheetText | Optional Name of worksheet to use

[ Top ]

### static method CHOOSE [line 447]

`static mixed CHOOSE( index_num 0, value1... 1)`

CHOOSE

Uses lookup_value to return a value from the list of value arguments. Use CHOOSE to select one of up to 254 values based on the lookup_value.

Excel Function: =CHOOSE(index_num, value1, [value2], ...)

#### Tags:

return: | The selected value
access: | public

#### Parameters:

index_num | 0 | Specifies which value argument is selected. Index_num must be a number between 1 and 254, or a formula or reference to a cell containing a number between 1 and 254.
value1... | 1 | Value1 is required, subsequent values are optional. Between 1 to 254 value arguments from which CHOOSE selects a value or an action to perform based on index_num. The arguments can be numbers, cell references, defined names, formulas, functions, or text.

[ Top ]

### static method COLUMN [line 112]

`static integer COLUMN( [cellAddress $cellAddress = Null])`

COLUMN

Returns the column number of the given cell reference If the cell reference is a range of cells, COLUMN returns the column numbers of each column in the reference as a horizontal array. If cell reference is omitted, and the function is being called through the calculation engine, then it is assumed to be the reference of the cell in which the COLUMN function appears; otherwise this function returns 0.

Excel Function: =COLUMN([cellAddress])

#### Tags:

return: | or array of integer
access: | public

#### Parameters:

cellAddress | $cellAddress | A reference to a range of cells for which you want the column numbers

[ Top ]

### static method COLUMNS [line 152]

`static integer COLUMNS( [cellAddress $cellAddress = Null])`

COLUMNS

Returns the number of columns in an array or reference.

Excel Function: =COLUMNS(cellAddress)

#### Tags:

return: | The number of columns in cellAddress
access: | public

#### Parameters:

cellAddress | $cellAddress | An array or array formula, or a reference to a range of cells for which you want the number of columns

[ Top ]

### static method HYPERLINK [line 258]

`static mixed HYPERLINK( [string $linkURL = ''], [string $displayName = null], [PHPExcel_Cell $pCell = null])`

HYPERLINK

Excel Function: =HYPERLINK(linkURL,displayName)

#### Tags:

return: | The value of $displayName (or $linkURL if $displayName was blank)
access: | public

#### Parameters:

string | $linkURL | Value to check, is also the value returned when no error
string | $displayName | Value to return when testValue is an error condition
PHPExcel_Cell | $pCell |

[ Top ]

### static method INDEX [line 599]

`static mixed INDEX( range_array $arrayValues, [row_num $rowNum = 0], [column_num $columnNum = 0])`

INDEX

Uses an index to choose a value from a reference or array

Excel Function: =INDEX(range_array, row_num, [column_num])

#### Tags:

return: | the value of a specified cell or array of cells
access: | public

#### Parameters:

range_array | $arrayValues | A range of cells or an array constant
row_num | $rowNum | The row in array from which to return a value. If row_num is omitted, column_num is required.
column_num | $columnNum | The column in array from which to return a value. If column_num is omitted, row_num is required.

[ Top ]

### static method INDIRECT [line 296]

`static mixed INDIRECT( [cellAddress $cellAddress = Null], [PHPExcel_Cell $pCell = null])`

INDIRECT

Returns the reference specified by a text string. References are immediately evaluated to display their contents.

Excel Function: =INDIRECT(cellAddress)

NOTE - INDIRECT() does not yet support the optional a1 parameter introduced in Excel 2010

#### Tags:

return: | The cells referenced by cellAddress
todo: | Support for the optional a1 parameter introduced in Excel 2010
access: | public

#### Parameters:

cellAddress | $cellAddress | An array or array formula, or a reference to a range of cells for which you want the number of rows
PHPExcel_Cell | $pCell |

[ Top ]

### static method LOOKUP [line 749]

`static mixed LOOKUP( lookup_value $lookup_value, lookup_vector $lookup_vector, [result_vector $result_vector = null])`

LOOKUP The LOOKUP function searches for value either from a one-row or one-column range or from an array.

#### Tags:

return: | The value of the found cell
access: | public

#### Parameters:

lookup_value | $lookup_value | The value that you want to match in lookup_array
lookup_vector | $lookup_vector | The range of cells being searched
result_vector | $result_vector | The column from which the matching value must be returned

[ Top ]

### static method MATCH [line 486]

`static integer MATCH( lookup_value $lookup_value, lookup_array $lookup_array, [match_type $match_type = 1])`

MATCH

The MATCH function searches for a specified item in a range of cells

Excel Function: =MATCH(lookup_value, lookup_array, [match_type])

#### Tags:

return: | The relative position of the found item
access: | public

#### Parameters:

lookup_value | $lookup_value | The value that you want to match in lookup_array
lookup_array | $lookup_array | The range of cells being searched
match_type | $match_type | The number -1, 0, or 1. -1 means above, 0 means exact match, 1 means below. If match_type is 1 or -1, the list has to be ordered.

[ Top ]

### static method OFFSET [line 361]

`static string OFFSET( [cellAddress $cellAddress = Null], [rows $rows = 0], [cols $columns = 0], [height $height = null], [width $width = null])`

OFFSET

Returns a reference to a range that is a specified number of rows and columns from a cell or range of cells. The reference that is returned can be a single cell or a range of cells. You can specify the number of rows and the number of columns to be returned.

Excel Function: =OFFSET(cellAddress, rows, cols, [height], [width])

#### Tags:

return: | A reference to a cell or range of cells
access: | public

#### Parameters:

cellAddress | $cellAddress | The reference from which you want to base the offset. Reference must refer to a cell or range of adjacent cells; otherwise, OFFSET returns the #VALUE! error value.
rows | $rows | The number of rows, up or down, that you want the upper-left cell to refer to. Using 5 as the rows argument specifies that the upper-left cell in the reference is five rows below reference. Rows can be positive (which means below the starting reference) or negative (which means above the starting reference).
cols | $columns | The number of columns, to the left or right, that you want the upper-left cell of the result to refer to. Using 5 as the cols argument specifies that the upper-left cell in the reference is five columns to the right of reference. Cols can be positive (which means to the right of the starting reference) or negative (which means to the left of the starting reference).
height | $height | The height, in number of rows, that you want the returned reference to be. Height must be a positive number.
width | $width | The width, in number of columns, that you want the returned reference to be. Width must be a positive number.

[ Top ]

### static method ROW [line 186]

`static integer ROW( [cellAddress $cellAddress = Null])`

ROW

Returns the row number of the given cell reference If the cell reference is a range of cells, ROW returns the row numbers of each row in the reference as a vertical array. If cell reference is omitted, and the function is being called through the calculation engine, then it is assumed to be the reference of the cell in which the ROW function appears; otherwise this function returns 0.

Excel Function: =ROW([cellAddress])

#### Tags:

return: | or array of integer
access: | public

#### Parameters:

cellAddress | $cellAddress | A reference to a range of cells for which you want the row numbers

[ Top ]

### static method ROWS [line 227]

`static integer ROWS( [cellAddress $cellAddress = Null])`

ROWS

Returns the number of rows in an array or reference.

Excel Function: =ROWS(cellAddress)

#### Tags:

return: | The number of rows in cellAddress
access: | public

#### Parameters:

cellAddress | $cellAddress | An array or array formula, or a reference to a range of cells for which you want the number of rows

[ Top ]

### static method TRANSPOSE [line 653]

`static array TRANSPOSE( array $matrixData)`

TRANSPOSE

#### Tags:

return: | Unlike the Excel TRANSPOSE function, which will only work on a single row or column, this function will transpose a full matrix.
access: | public

#### Parameters:

array | $matrixData | A matrix of values

[ Top ]

### static method VLOOKUP [line 689]

`static mixed VLOOKUP( lookup_value $lookup_value, lookup_array $lookup_array, index_number $index_number, [not_exact_match $not_exact_match = true])`

VLOOKUP The VLOOKUP function searches for value in the left-most column of lookup_array and returns the value in the same row based on the index_number.

#### Tags:

return: | The value of the found cell
access: | public

#### Parameters:

lookup_value | $lookup_value | The value that you want to match in lookup_array
lookup_array | $lookup_array | The range of cells being searched
index_number | $index_number | The column number in table_array from which the matching value must be returned. The first column is 1.
not_exact_match | $not_exact_match | Determines if you are looking for an exact match based on lookup_value.

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:16:36 +0200 by phpDocumentor 1.4.4